/* GLOBAL */
* {
  box-sizing: border-box;
}

body {
  background-image: url(../img/background_img.png);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  font-family: 'Cabin', sans-serif;
}

a {
  display: inline-block;
  color: rgba(255, 255, 255, 1);
  text-decoration: none;
}

/* HEADER */

.navbar {
  display: flex;
  background-color: rgba(0, 0, 0, 0.25);
  color: rgba(255, 255, 255, 1);
  padding: 18px 80px 18px 80px;
}

.navlogo {
  font-weight: 700;
  font-size: 22px;
  line-height: 22px;
}

.logolink:hover {
  color: rgba(60, 184, 120, 1);
}

.navinfo {
  display: flex;
  margin-left: auto;
  align-items: center;
}

.svglink {
  margin-right: 25px;
}

a:hover .svgimg {
  fill: rgba(60, 184, 120, 1);
}

.pseudo {
  position: relative;
}

.pseudo::after {
  display: inline-block;
  height: 20px;
  content: '';
  position: absolute;
  border-right: 1px solid rgba(255, 255, 255, 0.5);
  margin-left: 25px;
  margin-top: 2px;
}

.entry {
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  margin-left: 50px;
}

.login:hover {
  color: rgba(60, 184, 120, 1);
}

.signup:hover {
  color: rgba(60, 184, 120, 1);
}

/* MAIN */

main {
  display: flex;
  justify-content: center;
  padding-top: 55px;
}

.form-contenir {
  width: 450px;
  height: 585px;
  background-color: rgba(255, 255, 255, 1);
  padding-top: 30px;
  padding-left: 60px;
  padding-right: 60px;
  position: relative;
}

.form-contenir::before {
  display: block;
  position: absolute;
  content: '';
  width: 18px;
  height: 18px;
  background-color: rgba(60, 184, 120, 1);
  left: 0px;
}

.entry-contenir {
  display: flex;
  margin-bottom: 15px;
}

.entry-signup {
  font-weight: 400;
  font-size: 20px;
  line-height: 20px;
  color: rgba(67, 67, 67, 1);
}
.entry-login {
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: rgba(60, 184, 120, 1);
  margin-left: auto;
  margin-top: 5px;
}

.entry-login:hover {
  text-decoration: underline;
}

.button-contenir {
  display: flex;
  gap: 10px;
}

.button {
  width: 160px;
  height: 50px;
  border-radius: 4px;
  border: 0px;
  color: rgba(255, 255, 255, 1);
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.blue {
  background-color: rgba(48, 93, 184, 1);
}

.blue:hover {
  background-color: rgba(2, 34, 99, 1);
}

.red {
  background-color: rgba(223, 74, 50, 1);
}

.red:hover {
  background-color: rgba(171, 31, 9, 1);
}

.button-logo {
  padding-left: 38px;
  position: relative;
}

.button-logo::before {
  position: absolute;
  display: block;
  content: '';
  height: 28px;
  border-right: 1px solid rgba(10, 22, 47, 1);
  left: 19px;
  top: -6px;
  opacity: 0.1;
}

.google::before {
  left: 7px;
}

.linecontenir {
  text-align: center;
  width: 100%;
  margin: 0 auto;
  margin-top: 30px;
  margin-bottom: 12px;
}

.line {
  position: relative;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: rgba(132, 132, 132, 1);
}

.line::before {
  display: block;
  width: 150px;
  content: '';
  position: absolute;
  border-bottom: 1px solid rgb(222, 219, 219);
  top: 55%;
  left: -153px;
}

.line::after {
  display: block;
  width: 150px;
  content: '';
  position: absolute;
  border-bottom: 1px solid rgb(222, 219, 219);
  top: 55%;
  left: 17px;
}

.formfield {
  width: 100%;
  height: 45px;
  margin-bottom: 16px;
  padding: 15px 19px 15px 19px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  border: 1px solid rgb(222, 219, 219);
  border-radius: 2px;
}

.formfield:focus-visible {
  border: 0px;
  outline: 0px;
  border-radius: 2px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 5px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
}

input::placeholder {
  color: rgb(222, 219, 219);
}

.checkbox input {
  position: absolute;
  z-index: -1;
  opacity: 0;
  margin: 0;
}

.checkbox-txt {
  position: relative;
  padding: 0 0 0 30px;
  cursor: pointer;
}

.checkbox-txt::before {
  content: '';
  position: absolute;
  top: -4px;
  left: 0;
  width: 20px;
  height: 20px;
  border: 1px solid rgb(222, 219, 219);
  border-radius: 0px;
}

.checkbox-txt::after {
  content: url(../img/ok.svg);
  position: absolute;
  left: 3px;
  top: -1px;
  display: none;
}

.checkbox input:checked + .checkbox-txt::after {
  display: block;
}

.green {
  color: rgba(60, 184, 120, 1);
}

.green:hover {
  text-decoration: underline;
}

.submit-button {
  margin-top: 20px;
  width: 100%;
  height: 45px;
  background-color: rgba(60, 184, 120, 0.8);
  border: 0;
  border-radius: 2px;
  color: rgba(255, 255, 255, 1);
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
}

.submit-button:hover {
  background-color: rgba(1, 129, 63, 1);
}
